org.apache.activemq.artemis.jms.client

## Class ActiveMQTopic

- java.lang.Object
- - org.apache.activemq.artemis.jndi.JNDIStorable
  - - org.apache.activemq.artemis.jms.client.ActiveMQDestination
    - - org.apache.activemq.artemis.jms.client.ActiveMQTopic

- All Implemented Interfaces:
    Serializable, javax.jms.Destination, javax.jms.Topic, Referenceable
  Direct Known Subclasses:
    ActiveMQTemporaryTopic

      public class ActiveMQTopic
      extends ActiveMQDestination
      implements javax.jms.Topic

  ActiveMQ Artemis implementation of a JMS Topic.
  This class can be instantiated directly.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `ActiveMQDestination.TYPE`

  - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `QUEUE_QUALIFIED_PREFIX, TEMP_QUEUE_QUALIFED_PREFIX, TEMP_TOPIC_QUALIFED_PREFIX, TOPIC_QUALIFIED_PREFIX`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ActiveMQTopic()`
    `` | `ActiveMQTopic(SimpleString address)`
    `` | `ActiveMQTopic(String address)`
    `` | `ActiveMQTopic(String address, boolean temporary)`
    `protected` | `ActiveMQTopic(String address, boolean temporary, ActiveMQSession session)`
    `` | `ActiveMQTopic(String address, String name)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getTopicName()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `buildFromProperties, createDestination, createDestination, createQueue, createQueue, createQueue, createQueueAddressFromName, createQueueNameForSharedSubscription, createQueueNameForSubscription, createTemporaryQueue, createTemporaryQueue, createTemporaryQueue, createTemporaryQueue, createTemporaryTopic, createTemporaryTopic, createTemporaryTopic, createTemporaryTopic, createTopic, createTopic, createTopic, createTopicAddressFromName, decomposeQueueNameForDurableSubscription, delete, fromPrefixed1XName, fromPrefixedName, fromPrefixedName, getAddress, getName, getQueueAttributes, getQueueConfiguration, getSimpleAddress, getType, isCreated, isQueue, isTemporary, populateProperties, setAddress, setCreated, setSimpleAddress`

    - ### Methods inherited from class org.apache.activemq.artemis.jndi.JNDIStorable

      `getReference, readObject, writeObject`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveMQTopic

          public ActiveMQTopic()

    - #### ActiveMQTopic

          public ActiveMQTopic(String address)

    - #### ActiveMQTopic

          public ActiveMQTopic(SimpleString address)

    - #### ActiveMQTopic

          @Deprecated
          public ActiveMQTopic(String address,
                                           String name)

      Deprecated.

    - #### ActiveMQTopic

          public ActiveMQTopic(String address,
                               boolean temporary)

    - #### ActiveMQTopic

          protected ActiveMQTopic(String address,
                                  boolean temporary,
                                  ActiveMQSession session)

      Parameters:
        `address` -
        `temporary` -
        `session` -

  - ### Method Detail

    - #### getTopicName

          public String getTopicName()

      Specified by:
        `getTopicName` in interface `javax.jms.Topic`

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `javax.jms.Topic`
      Overrides:
        `toString` in class `ActiveMQDestination`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ActiveMQDestination`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ActiveMQDestination`

Copyright © 2020 The Apache Software Foundation. All rights reserved.